DZSUM1(3f)

NAME
DZSUM1 - the sum of the absolute values of a complex vector and returns a double precision result

SYNOPSIS

DOUBLE PRECISION
    FUNCTION DZSUM1( N, CX, INCX )

INTEGER
    INCX, N

COMPLEX*16
    CX( * )

PURPOSE
DZSUM1 takes the sum of the absolute values of a complex vector and returns a double precision result. Based on DZASUM from the Level 1 BLAS.
The change is to use the 'genuine' absolute value.
Contributed by Nick Higham for use with ZLACON.

ARGUMENTS

N       (input) INTEGER
    The number of elements in the vector CX.

CX      (input) COMPLEX*16 array, dimension (N)
    The vector whose elements will be summed.

INCX    (input) INTEGER
    The spacing between successive values of CX. INCX > 0.